Skip to content
On this page

Create list of company files request

Accepts requests for getting a list of company files. All requests are queued and processed as soon as possible.

EnvironmentURL
Sandboxhttps://api-test.streamline.laboremus.ug/verify-business/api/business/files/{registrationNumber}?v=2.0
Productionhttps://api.streamline.laboremus.ug/verify-business/api/business/files/{registrationNumber}?v=2.0

Request

Request Type : POST

Authorization

All requests must be authenticated using OAuth 2.0 Client Credentials. Follow the steps in the Authentication section to obtain an access token.

Path Parameters Values

NameTypeRequiredDescription
registrationNumberstringyesThe company registration number

Response

Response Values

NameTypeDescription
idstring (uuid)A Guid / uuid / A set of unique Alphanumerical characters assigned to this verification request.
requestUristring or nullThe URL to find the request
statusstring(Enum : Pending,Successful,Failed)Status of the request sent to verify

Example Response Body

json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "requestUri": "string",
  "status": "Pending"
}
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "requestUri": "string",
  "status": "Pending"
}

Error Response

400 Bad Request

application/json

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

401 Unauthorized

application/json

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

403 Forbidden

application/json

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

404 Not Found

application/json

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

500 Server Error

application/json

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

Error Codes

When working with our BNV API, you'll encounter errors shown below. Each type of error comes with an appropriate code and suggestion to aid in troubleshooting.

All errors share the same basic response format.code indicating the error code,message providing an overview of the error, description to show more information about the error, suggestion to aid in troubleshooting and type describing the error type

CodeMessageDescriptionSuggestionType
S0001FAILED_TO_VERIFY_BUSINESSFailed to verify businessSomething went wrong, Please contact support at email support@laboremus.ugFatal
S0002INVALID_BUSINESS_REGISTRATION_NUMBERThe business registration number provided is invalid.The business registration number provided should have 14 digits (e.g 80020001441337)Data
S0003INVALID_CREDENTIALSThe connection credentials provided are invalid.Please check your credentials or contact support at email support@laboremus.ugAuthentication
S0004UNKNOWN_ERRORAn unknown error has occurred, preventing the requested action from being completed.Please try again later.If the issue persists, contact our support team at support@laboremus.ug with details about the action you were attempting to perform.Fatal

Tech Served Right